Skip to main content
PATCH
/
v1
/
teams
/
{team_id}
/
members
/
{user_id}
Update Member Role
curl --request PATCH \
  --url https://api.dataraven.io/v1/teams/{team_id}/members/{user_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
import requests

url = "https://api.dataraven.io/v1/teams/{team_id}/members/{user_id}"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({})
};

fetch('https://api.dataraven.io/v1/teams/{team_id}/members/{user_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "joined_at": "2023-11-07T05:31:56Z",
  "email": "<string>",
  "invited_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

user_id
string<uuid>
required
team_id
string<uuid>
required

Body

application/json

Schema for updating team member role.

role
enum<string>
required

User roles within teams (hierarchical).

  • OWNER (4): Full control including team deletion
  • ADMIN (3): All operations except team deletion
  • OPERATOR (2): Day-to-day operations (run jobs, view logs), no setup/config
  • VIEWER (1): Read-only audit access
Available options:
viewer,
operator,
admin,
owner

Response

Successful Response

Schema for team member in responses.

user_id
string<uuid>
required
role
enum<string>
required

User roles within teams (hierarchical).

  • OWNER (4): Full control including team deletion
  • ADMIN (3): All operations except team deletion
  • OPERATOR (2): Day-to-day operations (run jobs, view logs), no setup/config
  • VIEWER (1): Read-only audit access
Available options:
viewer,
operator,
admin,
owner
joined_at
string<date-time>
required
email
string | null
invited_by
string<uuid> | null